import request from '@/utils/request'

// 查询投票单位列表
export function listTpDept(query) {
  return request({
    url: '/system/tpDept/list',
    method: 'get',
    params: query
  })
}
// 查询投票单位列表
export function listTpDeptjg(query) {
  return request({
    url: '/system/tpDept/listjg',
    method: 'get',
    params: query
  })
}

// 查询投票单位详细
export function getTpDept(id) {
  return request({
    url: '/system/tpDept/' + id,
    method: 'get'
  })
}

// 新增投票单位
export function addTpDept(data) {
  return request({
    url: '/system/tpDept',
    method: 'post',
    data: data
  })
}

// 修改投票单位
export function updateTpDept(data) {
  return request({
    url: '/system/tpDept',
    method: 'put',
    data: data
  })
}

// 删除投票单位
export function delTpDept(id) {
  return request({
    url: '/system/tpDept/' + id,
    method: 'delete'
  })
}
